# Uses of Enum Class
javafx.scene.CacheHint

Packages that use CacheHint
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of CacheHint in javafx.scene

Methods in javafx.scene that return CacheHint
Modifier and Type
Method
Description
`final CacheHint`
Node.`getCacheHint()`
Gets the value of the `cacheHint` property.
`static CacheHint`
CacheHint.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CacheHint[]`
CacheHint.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene that return types with arguments of type CacheHint
Modifier and Type
Method
Description
`final ObjectProperty<CacheHint>`
Node.`cacheHintProperty()`
Additional hint for controlling bitmap caching.
Methods in javafx.scene with parameters of type CacheHint
Modifier and Type
Method
Description
`final void`
Node.`setCacheHint(CacheHint value)`
Sets the value of the `cacheHint` property.